#!/bin/python

"""
ToolTechnorati.py

David Janes
BlogMatrix
2004.02.12
"""

import sys
import urllib
import Tool

class ToolTechnorati(Tool.ToolInterface):
	"""
	The interface for your tool. Simply create an instance of this object and Jaeger
	will figure it out.
	"""
	def __init__(self):
		Tool.ToolInterface.__init__(self)
		
	def get_label(self, selected):
		return	"Technorati Cosmos"
				
	def invoke(self, selected, operations):
		operations.open_url("http://www.technorati.com/cosmos/links.html?rank=&url=" + \
			urllib.quote(selected.url))

#
# creating it will register it
#
ToolTechnorati()
